Bug 471164 - odd error message: (1,[u'Please report this error in bugzilla'])
odd error message: (1,[u'Please report this error in bugzilla'])
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 23:42 EST by Ralf Corsepius
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 14:12:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-11-11 23:42:33 EST
Description of problem:

When encountering a depresolution problem, yum underneath of mock issues an "odd" error message:

# mock ... init
.. 
ERROR with rpm_check_debug vs depsolve:
...
(1, [u'Please report this error in bugzilla'])


Version-Release number of selected component (if applicable):
mock-0.9.9-1.fc9.noarch

How reproducible:
Always.

Actual results:
c.f. above.

Expected results:
1. A properly formated error message.

2. Referring to a real bug-reporting address (mail address, URL).
"Please report this error in bugzilla" leaves users clueless about where to report such errors.
Comment 1 Ralf Corsepius 2008-11-11 23:48:29 EST
Sorry, I forgot: yum-3.2.19-3.fc9.noarch
Comment 2 Ralf Corsepius 2008-11-12 00:05:08 EST
Identical bug in FC10/current rawhide: yum-3.2.20-3.fc10.noarch
Comment 3 seth vidal 2008-11-12 17:03:03 EST
I can sort of see this, sure.

I'll make a config setting so distros can set it to where they want bug reports but the default can be the yum trac instance.
Comment 4 seth vidal 2008-11-13 14:12:41 EST
done in upstream
Comment 5 Fedora Update System 2009-01-12 14:20:19 EST
yum-3.2.21-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc10
Comment 6 Fedora Update System 2009-01-12 14:27:49 EST
yum-3.2.21-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc9
Comment 7 Fedora Update System 2009-02-04 21:18:32 EST
yum-3.2.21-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-02-04 21:25:28 EST
yum-3.2.21-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.